org.apache.felix.ipojo.extender.internal.processor

## Class ForwardingBundleProcessor

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.processor.ForwardingBundleProcessor

All Implemented Interfaces:
  BundleProcessor, Lifecycle

Direct Known Subclasses:
  QueuingActivationProcessor, ReverseBundleProcessor

    public abstract class ForwardingBundleProcessor
    extends java.lang.Object
    implements BundleProcessor

A bundle processor delegating to a wrapped processor. Implementation defined how we retrieve the delegate.

### Constructor Summary

Constructors
Constructor and Description
`ForwardingBundleProcessor()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `activate(org.osgi.framework.Bundle bundle)` A bundle is started.
`void` `deactivate(org.osgi.framework.Bundle bundle)` A bundle is stopping.
`protected abstract BundleProcessor` `delegate()` Implementation must implement this method to retrieve the wrapped bundle processor.
`void` `start()` Start the service.
`void` `stop()` Stop the service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForwardingBundleProcessor

    public ForwardingBundleProcessor()

### Method Detail

#### delegate

    protected abstract BundleProcessor delegate()

Implementation must implement this method to retrieve the wrapped bundle processor.

Returns:
  the wrapped bundle processor on which we delegate all calls.

#### activate

    public void activate(org.osgi.framework.Bundle bundle)

Description copied from interface: `BundleProcessor`
A bundle is started.

Specified by:
  `activate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### deactivate

    public void deactivate(org.osgi.framework.Bundle bundle)

Description copied from interface: `BundleProcessor`
A bundle is stopping. This call is made during the stopping phase.

Specified by:
  `deactivate` in interface `BundleProcessor`
Parameters:
  `bundle` - the bundle

#### start

    public void start()

Description copied from interface: `Lifecycle`
Start the service.

Specified by:
  `start` in interface `Lifecycle`

#### stop

    public void stop()

Description copied from interface: `Lifecycle`
Stop the service.

Specified by:
  `stop` in interface `Lifecycle`